create view nci.speciality_commission_view as (select distinct on (spec.uid) uid, name, shortname, education_level, sort, is_actual, spec.recversion, 
case when com.id is null then false else true end as "giaReport",
case when com2.id is null then false else true end as "certReport"
 from umk.speciality spec
left join nci.speciality_commissions com on spec.uid = com.speciality_id and  com.member_fio is not Null and  com.member_fio != '' and  com.report_type = 'giaReport'
left join nci.speciality_commissions com2 on spec.uid = com2.speciality_id and  com2.member_fio is not Null and  com2.member_fio != '' and  com2.report_type = 'certReport')